//+------------------------------------------------------------------+
//|                                                   Test_Sp2_2.mq4 |
//|                      Copyright  2007, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#include <ZigZag_fun2.mq4>
#include <FormLog.mqh>


// Zig-Zag
#define HIGHZZ 1
#define NONEZZ 0
#define LOWZZ -1

#define DIRECTUP  1
#define DIRECTDOWN -1 
#define DIRECTNONE 0


double ZigZagBuffer[];
double HighMapBuffer[];
double LowMapBuffer[];
datetime ZigZagTime[];
datetime HighMapTime[];
datetime LowMapTime[];

int CurrDirect=DIRECTNONE; int LastDirect=DIRECTNONE;
datetime LastTimeHigh,LastTimeLow;
datetime FirstPointTime,SecondPointTime;
double FirstPointValue,SeconfPointValue;





////
int k=0;
bool FlagFirst=false;
datetime LastCurrTime;
datetime LastZigZagTime;
int LastZigZagType;
bool FlagChangeDirect;
// Copy
double LastZigZag,CurrZZUp,CurrZZDown;
datetime HighTime,LowTime;
datetime LTime;
bool FlagFirstPerelom=true;

string _indicatorSymbol;                                                    
int _indicatorPeriod;  

int _CurrentPeriod;




//+------------------------------------------------------------------+
//|                                                    |
//+------------------------------------------------------------------+
void SetLine(string Name,int colorline,datetime FirstTime, double FirstValue,datetime SecondTime,double SecondValue)
{

   ObjectCreate(Name,OBJ_TREND,0,0,0);
   ObjectSet(Name,OBJPROP_COLOR,colorline);
   ObjectSet(Name,OBJPROP_TIME1,FirstTime);
   ObjectSet(Name,OBJPROP_PRICE1,FirstValue);
   ObjectSet(Name,OBJPROP_TIME2,SecondTime);
   ObjectSet(Name,OBJPROP_PRICE2,SecondValue);
   ObjectSet(Name,OBJPROP_RAY,false);
}
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
InitFormLog();
FlagDebugLog=false;
FlagInfoLog=true;

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
DeleteFormLog();
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
    //  
   if (FlagFirst==false)  {                     
                              ObjectCreate("VLine",OBJ_VLINE,0,Time[0],0); 
                              FlagFirst=true; 
                               LastCurrTime=Time[0];
                               
                     
                            }
//----
if (LastCurrTime==iTime(Symbol(),PERIOD_M15,0)) return;
LastCurrTime=iTime(Symbol(),PERIOD_M15,0);

GetZigZag(0,Symbol(),PERIOD_H1,true,ZigZagBuffer,HighMapBuffer,LowMapBuffer,ZigZagTime,HighMapTime,LowMapTime);

int i=0;
datetime indextime=-2;
/*       
while ( 1<2) //  break
{
 i++;
  
 
 
 if ( ZigZagTime[i]>0 )
 {indextime=ZigZagTime[i];
  AddInfoLog(TimeToStr(ZigZagTime[i])+":="+ TimeToStr(LastZigZagTime));
  }
   if ( HighMapTime[i]>0 )
 {indextime=HighMapTime[i];
  AddInfoLog(TimeToStr(HighMapTime[i])+":="+ TimeToStr(LastZigZagTime));
  }
 if (indextime==LowMapTime[i])
 {
 
  ObjectCreate("TestLineDOWN"+DoubleToStr(ZigZagBuffer[i],5),OBJ_VLINE,0,ZigZagTime[i],0);
  ObjectSet("TestLineDOWN"+DoubleToStr(ZigZagBuffer[i],5),OBJPROP_COLOR,Yellow);
   break;
 }
  if (indextime==HighMapTime[i])
 {
 
  ObjectCreate("TestLineDOWN"+DoubleToStr(HighMapTime[i],5),OBJ_VLINE,0,LowMapTime[i],0);
  ObjectSet("TestLineDOWN"+DoubleToStr(HighMapTime[i],5),OBJPROP_COLOR,Yellow);
   break;
 }

 // AddInfoLog(TimeToStr(LowMapTime[i]));
  break;
}
AddInfoLog(i);
*/
if (LowMapTime[0]>0)
{
LastZigZagTime=LowMapTime[0];
ObjectCreate("TestLineLow"+DoubleToStr(LowMapBuffer[0],5),OBJ_VLINE,0,LowMapTime[0],0);
     ObjectSet("TestLineLow"+DoubleToStr(LowMapBuffer[0],5),OBJPROP_COLOR,Red);
     
      LastZigZag=HighMapBuffer[0];  

}
if (HighMapTime[0]>0)
{
LastZigZagTime=HighMapTime[0];
ObjectCreate("TestLineH"+DoubleToStr(HighMapBuffer[0],5),OBJ_VLINE,0,HighMapTime[0],0);
     ObjectSet("TestLineH"+DoubleToStr(HighMapBuffer[0],5),OBJPROP_COLOR,Blue);
   LastZigZag=HighMapBuffer[0];  

}


   return(0);
  }
//+------------------------------------------------------------------+